Bug 1554900 - when deleting an archived node using configure > remove a unknown method error is raised
Summary: when deleting an archived node using configure > remove a unknown method erro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Scott Seago
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1504131
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-13 14:23 UTC by Satoe Imaishi
Modified: 2018-06-25 14:18 UTC (History)
8 users (show)

Fixed In Version: 5.8.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1504131
Environment:
Last Closed: 2018-06-25 14:18:08 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18:45 UTC

Comment 4 CFME Bot 2018-04-16 23:01:37 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/6327ce5b85b733b82d8a92b1e65b6c320edf0207
commit 6327ce5b85b733b82d8a92b1e65b6c320edf0207
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Wed Apr 11 11:18:08 2018 -0400
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Wed Apr 11 11:18:08 2018 -0400

    [FINE] bug 1554900: For archived nodes, just delete AR object on remove

    https://bugzilla.redhat.com/show_bug.cgi?id=1554900

    Archived nodes have no ems, so don't try to contact the (nonexistent) provider.
    Just delete the AR object.

 app/models/manageiq/providers/openstack/infra_manager/host.rb | 19 +-
 1 file changed, 13 insertions(+), 6 deletions(-)

Comment 6 Jadh 2018-05-02 09:12:01 UTC
Verified on 5.8.4.2

Comment 8 errata-xmlrpc 2018-06-25 14:18:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.